Onboard Partner Provider Products
curl --request POST \
--url https://dev.superpool.unyte.africa/api/v1/onboarding/providers/{provider_id}/next_steps/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"document_url": "<string>",
"sheet_name": "<string>",
"webhook_url": "<string>"
}
'import requests
url = "https://dev.superpool.unyte.africa/api/v1/onboarding/providers/{provider_id}/next_steps/"
payload = {
"document_url": "<string>",
"sheet_name": "<string>",
"webhook_url": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({document_url: '<string>', sheet_name: '<string>', webhook_url: '<string>'})
};
fetch('https://dev.superpool.unyte.africa/api/v1/onboarding/providers/{provider_id}/next_steps/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>"
}Providers' Onboarding
Onboard Partner Provider Products
Onboard insurance products of a provider
Returns a Job ID for tracking the onboarding process, which can be used to check the status of the onboarding process and the result of the onboarding process in a seperate API Call
POST
/
api
/
v1
/
onboarding
/
providers
/
{provider_id}
/
next_steps
/
Onboard Partner Provider Products
Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Product onboarding in progress
⌘I
